## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-nose2
Version:        0.11.0
Release:        %autorelease
Summary:        The successor to nose, based on unittest2

License:        BSD
URL:            https://nose2.io/
%global forgeurl https://github.com/nose-devs/nose2
Source0:        %{forgeurl}/archive/%{version}/nose2-%{version}.tar.gz
# Man page written for Fedora in groff_man(7) format based on --help output
Source1:        nose2.1

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  hardlink

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.7
BuildRequires:  python3dist(coverage) >= 4.4.1

%global common_description %{expand:
nose2 is the successor to nose.

It’s unittest with plugins.

nose2’s purpose is to extend unittest to make testing nicer and easier to
understand.}

%description
%{common_description}


%package -n python3-nose2
Summary:        %{summary}

%py_provides python3-nose2
Conflicts:      python2-nose2 < 0.7.4-3

%description -n python3-nose2
%{common_description}


%prep
%autosetup -n nose2-%{version}


%build
%py3_build


%install
%py3_install
hardlink -v '%{buildroot}%{_bindir}'
install -t '%{buildroot}%{_mandir}/man1' -D -p -m 0644 '%{SOURCE1}'


%check
env PYTHONPATH='%{buildroot}%{python3_sitelib}' \
    '%{python3}' -m nose2.__main__ -v


%files -n python3-nose2
%license license.txt
%doc AUTHORS
%doc README.rst

%{python3_sitelib}/nose2
%{python3_sitelib}/nose2-%{version}-py%{python3_version}.egg-info

%{_bindir}/nose2-%{python3_version}
%{_bindir}/nose2
%{_mandir}/man1/nose2.1*


%changelog
* Wed Jun 08 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.11.0-1
- Update to 0.11.0 (close RHBZ#1808649)
- Add a man page

* Wed Jun 08 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.7.4-6
- Modernize packaging as appropriate for EPEL8

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 21 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.4-3
- Drop python2 subpackage https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.4-1
- Update to 0.7.4 (#1509750), fixes FTBFS (#1556222)

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6.5-8
- Rebuilt for Python 3.7

* Mon Mar 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.5-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 10 2017 Aurelien Bompard <abompard@fedoraproject.org> - 0.6.5-4
- Rename a BuildRequires

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6.5-2
- Rebuild for Python 3.6

* Tue Sep 13 2016 Aurelien Bompard <abompard@fedoraproject.org> - 0.6.5-1
- Initial package.

